1 Reply Latest reply on Jun 15, 2008 3:21 AM by Admirer A

    Richfaces compatibility with Eclipse 3.2.1

    Admirer A Newbie

      I am an IBM RSA 7.0 user,I tried including the latest RichFaces libraries and got many errors.

      I guess,RichFaces 3.2.1 works on JSF 1.2,but currently RSA 7.0 provides only JSF 1.1 support.

      So it will be helpful if anyone can suggest an old version of RichFaces so that its compatible with Eclipse 3.2

      My primary aim is not to lose the visual editor for JSF in RSA 7.0(i.e i am bound to using jsf 1.1).

      I tried posting all my exceptions occured during my rsa 7.0 and richfaces 3.2.1GA integration,but so far no reply

      Hope RichFaces forum will look into this seriously

        • 1. Re: Richfaces compatibility with Eclipse 3.2.1
          Admirer A Newbie

          I found out the solution:

          If you are using RSA 7.0 use RichFaces 3.1.6.GA.jar

          Add the following to WEB-INF/lib folder

          commons-collections-3.2.jar
          xercesImpl-2.8.1.jar
          commons-digester-1.8.jar
          commons-beanutils-1.7.0.jar

          Add the following to web.xml and you are done.
          <context-param>
          <param-name>org.richfaces.SKIN</param-name>
          <param-value>blueSky</param-value>
          </context-param>

          <display-name>RichFaces Filter</display-name>
          <filter-name>richfaces</filter-name>
          <filter-class>org.ajax4jsf.Filter</filter-class>

          <filter-mapping>
          <filter-name>richfaces</filter-name>
          <servlet-name>Faces Servlet</servlet-name>
          REQUEST
          FORWARD
          INCLUDE
          </filter-mapping>